#! /bin/sh

CONF_PATH=/mnt/mtd/ipc/tmpfs
. $CONF_PATH/wifi.conf
FLAG_PATH=$CONF_PATH/wifires

wifidev=ra0
wifi_res=1

loadwifi()
{
iwpriv ra0 set AuthMode=$WifiMode
iwpriv ra0 set NetworkType=$WifiType
iwpriv ra0 set EncrypType=$WifiEnc
if [ $WifiEnc != "NONE" ]
then	
	if [ $WifiEnc == "WEP" ]
	then
		iwpriv ra0 set DefaultKeyID=1
		iwpriv ra0 set Key1="$WifiKey"
	else
		iwpriv ra0 set WPAPSK="$WifiKey"
	fi
fi
iwpriv ra0 set SSID="$WifiSsid"
}

rm $FLAG_PATH
if ! ifconfig | grep eth0 > /dev/null
then
    exit $wifi_res
fi

ifconfig $wifidev up
sleep 4
loadwifi
sleep 3
wifi_res=0
touch $FLAG_PATH
sleep 3
for i in $(seq 5)
do
	sleep 1
    if ! iwconfig $wifidev | grep "Access Point:"
    then
	wifi_res=1
	rm $FLAG_PATH
	break
    fi
done

ifconfig $wifidev down
exit $wifi_res	
